package com.persagy.apm.common.model.dto;

import com.persagy.apm.common.context.poems.PoemsContext;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * Poems上的服务feign调用基础dto类
 *
 * @author lixing
 * @version V1.0 2021/5/19 2:32 下午
 **/
@ApiModel
@Data
public class FeignBaseDTO {
    @ApiModelProperty(value = "当前用户id")
    private String userId;
    @ApiModelProperty(value = "登录设备")
    private String loginDevice;
    @ApiModelProperty(value = "用户密码MD5值")
    private String pd;
    private String groupCode;
    private String projectId;

    public void setDefaultValue() {
        this.userId = PoemsContext.getContext().getUserId();
        this.loginDevice = PoemsContext.getContext().getLoginDevice();
        this.pd = PoemsContext.getContext().getPd();
        this.groupCode = PoemsContext.getContext().getGroupCode();
        this.projectId = PoemsContext.getContext().getProjectId();
    }
}
