package com.persagy.apm.common.model.dto;

import com.persagy.apm.common.config.GlobalConfig;
import com.persagy.apm.common.context.poems.PoemsContext;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Component;

/**
 * Poems上的服务feign调用基础dto类
 *
 * @author lixing
 * @version V1.0 2021/5/19 2:32 下午
 **/
@ApiModel
@Data
public class PoemsFeignBaseDTO {
    @ApiModelProperty(value = "用户信息")
    private PoemsPuser puser;
    private String groupCode;

    public void setDefaultValue() {
        this.puser = new PoemsPuser(
                PoemsContext.getContext().getUserId(),
                PoemsContext.getContext().getLoginDevice(),
                PoemsContext.getContext().getPd()
        );
        this.groupCode = PoemsContext.getContext().getGroupCode();
    }
}
