package com.persagy.apm.common.response;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;
import lombok.NoArgsConstructor;


/**
 * @description: 服务接口调用返回值
 * @author: lixing
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/9/21 11:01
 * @version: V1.0
 */
@Data
@NoArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class FeignResponseContent<T> {

    /**
     * 响应码
     */
    private String respCode;

    /**
     * 成功时返回的列表数据
     */
    @JSONField(name = "Content")
    private T content;

    /**
     * 成功时返回的列表数量
     */
    @JSONField(name = "Count")
    private Integer count;

    /**
     * 错误信息
     */
    private String respMsg;

    public FeignResponseContent(String respCode, T content, Integer count) {
        this.respCode = respCode;
        this.content = content;
        this.count = count;
    }
}
