package com.persagy.apm.common.response;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @description: 服务接口调用返回值
 * @author: lixing
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/9/21 11:01
 * @version: V1.0
 */
@Data
@NoArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class FeignResponseItem<T> {

    /**
     * 响应码
     */
    private String respCode;

    /**
     * 成功时返回的对象数据
     */
    @JSONField(name = "Item")
    private T item;

    /**
     * 错误信息
     */
    private String respMsg;

    public FeignResponseItem(String respCode, T item) {
        this.respCode = respCode;
        this.item = item;
    }
}
