package com.persagy.apm.translate.extension;

import com.persagy.apm.translate.model.ITransWrapper;

import java.util.Map;

/**
 * map翻译包装类
 * @author Charlie Yu
 * @Date 2021-03-03
 */
public class MapTransWrapper implements ITransWrapper{

    /**
     * 源对象
     */
    private Map<String,Object> source;

    /**
     * 构造方法
     * @param source　源对象
     */
    public MapTransWrapper(Map<String,Object> source){
        this.source = source;
    }
    @Override
    public Object getValue(String name) {
        return source.get(name);
    }

    @Override
    public void setValue(String name, Object object) {
        source.put(name,object);
    }

    @Override
    public Object getSource() {
        return source;
    }

    @Override
    public Object getResult() {
        return source;
    }
}
