package com.persagy.apm.translate.helper;

import cn.hutool.extra.emoji.EmojiUtil;
import com.persagy.apm.translate.service.ITranslator;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * emoji翻译
 * @author Charlie Yu
 * @Date 2021-03-03
 */
@Service
public class EmojiCharsTranslator implements ITranslator {
	@Override
	public String trans(String parameter) {
		return EmojiUtil.toHtml(parameter);
	}

	@Override
	public Map<String, Object> transBatch(List<String> parameter) {
		if (parameter == null || parameter.size() == 0) {
			return null;
		}
		Map result = new HashMap(16);
		for (Object obj : parameter) {
			result.put(obj, EmojiUtil.toHtml((String) obj));
		}
		return result;
	}
}
