package com.persagy.apm.translate.model;

/**
 * 翻译接口
 * @author Charlie Yu
 * @Date 2021-03-03
 */
public interface ITransable {

	/**
	 * 取得翻译对象
	 * @return 需要翻译对象
	 */
	Object getTranslator();
	
	/**
	 * 设置翻译数据
	 * @param object 翻译后数据
	 */
	void setTranslator(Object object);

	/**
	 * 取得的数据是否是map包装的数据,如果是map是数据实体返回false,如果包含多个需要翻译的对象则返回true;
	 * @return 布尔值
	 */
	boolean isMapPackage();

	/**
	 * 判断当前数据对象是否需要翻译
	 * @return 布尔值
	 */
	boolean isNeedTranslate();

}
